---

# ---
# vars used by roles/network_interfaces
# ---


# If true, all additional files in /etc/network/interfaces/interfaces.d/ are deleted
network_manage_devices: True

# Should the interfaces be reloaded after config change?
network_interface_reload: False

network_interface_path: /etc/network/interfaces.d
network_interface_required_packages:
  - vlan
  - bridge-utils
  - ifmetric
  - ifupdown
  - ifenslave


network_interfaces:

  - device: eno1
    # use only once per device (for the first device entry)
    headline: eno1 - The primary network interface

    # auto & allow are only used for the first device entry
    allow: [] # array of allow-[stanzas] eg. allow-hotplug
    auto: true

    family: inet
    method: static
    description:
    address: 192.168.192.10
    netmask: 23
    gateway: 192.168.192.254

    # optional dns settings nameservers: []
    #
    #    nameservers:
    #      - 194.150.168.168  # dns.as250.net
    #      - 91.239.100.100   # anycast.censurfridns.dk
    #    search: warenform.de
    #
    #nameservers:
    #  - 192.168.192.1
    #search: fhxb.netz


# ---
# vars used by roles/ansible_dependencies
# ---


# ---
# vars used by roles/ansible_user
# ---


# ---
# vars used by roles/common/tasks/basic.yml
# ---


# ---
# vars used by roles/common/tasks/sshd.yml
# ---


# ---
# vars used by roles/common/tasks/apt.yml
# ---


# ---
# vars used by roles/common/tasks/systemd-resolved.yml
# ---

systemd_resolved: true

# CyberGhost - Schnelle Verbindung mit Keine-Logs-Datenschutzrichtlinie
#   Primäre DNS-Adresse: 38.132.106.139
#   Sekundäre DNS-Adresse: 194.187.251.67
#
# Cloudflare (USA) Bester kostenloser DNS-Server für Gaming mit zuverlässigen Verbindungen
#   primäre DNS-Adresse
#      IPv4: 1.1.1.1
#      IPv6: 2606:4700:4700::1111
#   sekundäre DNS-Adresse
#      IPv4: 1.0.0.1
#      IPv6: 2606:4700:4700::1001
#
# Google (USA) Public DNS - Großartige Kombination aus Geschwindigkeit und Sicherheit
#   primäre DNS-Adresse
#      IPv4: 8.8.8.8
#      IPv6: 2001:4860:4860::8888
#   sekundäre DNS-Adresse
#      IPv4: 8.8.4.4
#      IPv6: 2001:4860:4860::8844
#
# Quad9 (CH) - Blockiert mühelos schädliche Seiten und verhindert Phishing-Betrug
#   primäre DNS-Adresse
#      IPv4: 9.9.9.9
#      IPv6: 2620:fe::fe
#   sekundäre DNS-Adresse
#      IPv4: 149.112.112.112
#      IPv6: 2620:fe::9
#
# OpenNIC - https://www.opennic.org/
#      IPv4: 195.10.195.195 - ns31.de
#      IPv4: 94.16.114.254  - ns28.de
#      IPv4: 51.254.162.59  - ns9.de
#      IPv4: 194.36.144.87  - ns29.de
#      IPv6: 2a00:f826:8:2::195 - ns31.de
#
# Freifunk München (normales DNS, DNS-over-TLS und DNS-over-HTTPS)
#    IPv4: 5.1.66.255
#    IPv6: 2001:678:e68:f000::
#    Servername für DNS-over-TLS: dot.ffmuc.net
#    IPv4: 185.150.99.255
#    IPv6: 2001:678:ed0:f000::
#    Servername für DNS-over-TLS: dot.ffmuc.net
#    für iOS 14+: DoT-Server-Konfiguration (unsigniert, vom PrHdb)
resolved_nameserver:
  - 192.168.192.1

# search domains
#
# If there are more than one search domains, then specify them here in the order in which
# the resolver should also search them
#
#resolved_domains: []
resolved_domains:
  - ~.
  - fhxb.netz

resolved_dnssec: false

# dns.as250.net: 194.150.168.168
#
resolved_fallback_nameserver:
   - 172.16.192.254


# ---
# vars used by roles/common/tasks/cron.yml
# ---

cron_user_special_time_entries:

  - name: "Restart DNS Cache service 'systemd-resolved'"
    special_time: reboot
    job: "sleep 10 ; /bin/systemctl restart systemd-resolved"
    insertafter: PATH



# ---
# vars used by roles/common/tasks/users.yml
# ---


# ---
# vars used by roles/common/tasks/users-systemfiles.yml
# ---


# ---
# vars used by roles/common/tasks/webadmin-user.yml
# ---


# ---
# vars used by roles/common/tasks/sudoers.yml
# ---
#
# see: roles/common/tasks/vars


# ---
# vars used by roles/common/tasks/caching-nameserver.yml
# ---


# ---
# vars used by roles/common/tasks/git.yml
# ---


# ---
# vars used by roles/common/tasks/nfs.yml
# ---

nfs_server: 192.168.192.10

# Set 'fs_encrypted' to true if filesystem lives on an encrypted
# partition.
#
# NOTE !!
#    Take car to increase 'fsid' in case of more than one export
#
nfs_exports:
   - src: 192.168.192.10:/data/home
     path: /data/home
     mount_opts: users,rsize=8192,wsize=8192,hard,intr
     export_opt: rw,root_squash,sync,subtree_check
     export_networks:
       - 192.168.192.0/23
       - 10.0.192.0/24
       - 10.1.192.0/24
       - 192.168.63.0/24
     use_fsid_option: true

   - src: 192.168.192.10:/data/samba/shares
     path: /data/samba/shares
     mount_opts: users,rsize=8192,wsize=8192,hard,intr
     export_opt: rw,root_squash,sync,subtree_check
     export_networks:
       - 192.168.192.0/23
       - 10.0.192.0/24
       - 10.1.192.0/24
       - 192.168.63.0/24
     use_fsid_option: true



# ---
# vars used by roles/common/tasks/samba-config-server.yml
# vars used by roles/common/tasks/samba-user.yml
# ---

samba_server_ip: 192.168.192.10
samba_server_cidr_prefix: 23

samba_workgroup: FHXB

samba_netbios_name: FILE-FHXB

samba_server_min_protocol: !!str NT1

samba_groups:

  - name: fhxb-bildarchiv
    group_id: 1110

  - name: fhxb-sammlungen
    group_id: 1210

  - name: archiv
    group_id: 1310
  - name: ausstellungen
    group_id: 1320
  - name: forschung
    group_id: 1330
  - name: gedenken-im-stadtraum
    group_id: 1340
  - name: projekte
    group_id: 1350
  - name: publikationen
    group_id: 1360
  - name: stolpersteine
    group_id: 1370
  - name: veranstaltungen
    group_id: 1380
  - name: vze
    group_id: 1390

  - name: buero
    group_id: 1410
  - name: intern
    group_id: 1420
  - name: leitung
    group_id: 1430
  - name: museum-organisation
    group_id: 1440
  - name: presse-orga-oeffentlichkeit
    group_id: 1450
  - name: team
    group_id: 1460
  - name: technik
    group_id: 1470
  - name: vermietung
    group_id: 1480
  - name: vermittlung
    group_id: 1490
    
  - name: altlasten
    group_id: 1510

  - name: administration
    group_id: 1610


samba_user:

  - name: chris
    groups:

      - fhxb-bildarchiv

      - fhxb-sammlungen

      - archiv
      - ausstellungen
      - forschung
      - gedenken-im-stadtraum
      - projekte
      - publikationen
      - stolpersteine
      - veranstaltungen
      - vze

      - buero
      - intern
      - museum-organisation
      - presse-orga-oeffentlichkeit
      - team
      - technik
      - vermietung
      - vermittlung
      - leitung

      - altlasten

    password: !vault |
          $ANSIBLE_VAULT;1.1;AES256
          63643330373231636537366333326630333265303265653933613835656262323863363038653234
          3462653135633266373439626263356636646637643035340a653466356235346663626163306363
          61313164643061306433643738643563303036646334376536626531383965303036386162393832
          6631333038306462610a356535633265633563633962333137326533633834636331343562633765
          3631

  - name: sysadm
    groups:
      - altlasten
      - archiv
      - ausstellungen
      - buero
      - forschung
      - gedenken-im-stadtraum
      - intern
      - leitung
      - museum-organisation
      - presse-orga-oeffentlichkeit
      - projekte
      - publikationen
      - stolpersteine
      - team
      - technik
      - veranstaltungen
      - vermietung
      - vermittlung
      - vze
      - fhxb-bildarchiv
      - fhxb-sammlungen
    password: '5hE-7n.JRQ9Y'

    # Archiv01
  - name : a.rchiv01
    groups:
      - archiv
      - ausstellungen
      - buero
      - publikationen
      - team
      - fhxb-bildarchiv
      - fhxb-sammlungen
      - veranstaltungen
    password: '45pS2X-rim.e'

    # Archiv02
  - name : a.rchiv02
    groups:
      - archiv
      - ausstellungen
      - buero
      - publikationen
      - team
      - fhxb-bildarchiv
      - fhxb-sammlungen
      - veranstaltungen
    password: '7gqKY/7-nh3Q'

    # Astrid Schiemann
  - name : a.schiemann
    groups:
      - archiv
      - ausstellungen
      - buero
      - forschung
      - gedenken-im-stadtraum
      - intern
      - leitung
      - museum-organisation
      - presse-orga-oeffentlichkeit
      - projekte
      - publikationen
      - stolpersteine
      - team
      - technik
      - veranstaltungen
      - vermietung
      - vermittlung
      - fhxb-bildarchiv
      - fhxb-sammlungen
    password: 'G.u3r.tJ6Qkh'

    # Babara Schaller
  - name : b.schaller
    groups:
      - archiv
      - ausstellungen
      - buero
      - publikationen
      - team
      - fhxb-bildarchiv
      - fhxb-sammlungen
      - veranstaltungen
    password: 'ufPmZ.L/63yJ'

    # Ellen Thieleman
  - name : e.thieleman
    groups:
      - ausstellungen
      - buero
      - projekte
      - team
    password: 'MFS79-tzWA/c'

    # Erika Hausotter
  - name : e.hausotter
    groups:
      - archiv
      - team
    password: 'A/pY4-9VvUdo'

    # Fabian Bovens
  - name : f.bovens
    groups:
      - archiv
      - ausstellungen
      - buero
      - team
      - fhxb-bildarchiv
      - fhxb-sammlungen
      - veranstaltungen
    password: 'z/Cw3.IzP2xn'

    # Florian Helm
  - name : f.helm
    groups:
      - altlasten
      - archiv
      - ausstellungen
      - buero
      - forschung
      - gedenken-im-stadtraum
      - intern
      - leitung
      - museum-organisation
      - presse-orga-oeffentlichkeit
      - projekte
      - publikationen
      - stolpersteine
      - team
      - technik
      - veranstaltungen
      - vermietung
      - vermittlung
      - vze
      - fhxb-bildarchiv
      - fhxb-sammlungen
    password: 'z2FE..fUh4fx'

    # Frauke Erdmann
  - name : f.erdmann
    groups:
      - archiv
      - ausstellungen
      - buero
      - publikationen
      - team
      - fhxb-bildarchiv
      - fhxb-sammlungen
      - veranstaltungen
    password: 'P/yV5N9rxA-Y'

    # Gerhard Grosche
  - name : g.grosche
    groups:
      - archiv
      - ausstellungen
      - publikationen
      - team
      - fhxb-bildarchiv
      - fhxb-sammlungen
      - veranstaltungen
    password: '6/H-EgRqP9-T'

    # Heike Müller
  - name : h.mueller
    groups:
      - administration
      - buero
      - team
    password: 'VT7/n5hHy-Av'

    # Jana König
  - name : j.koenig
    groups:
      - administration
      - archiv
      - ausstellungen
      - buero
      - forschung
      - gedenken-im-stadtraum
      - intern
      - museum-organisation
      - presse-orga-oeffentlichkeit
      - projekte
      - publikationen
      - stolpersteine
      - team
      - technik
      - veranstaltungen
      - vermietung
      - vermittlung
      - fhxb-bildarchiv
      - fhxb-sammlungen
    password: 'fE6.2K/HpnuS'

    # Jorinde Splettstößer
  - name : j.splettstoesser
    groups:
      - administration
      - archiv
      - ausstellungen
      - buero
      - forschung
      - gedenken-im-stadtraum
      - intern
      - museum-organisation
      - presse-orga-oeffentlichkeit
      - projekte
      - publikationen
      - stolpersteine
      - team
      - technik
      - veranstaltungen
      - vermietung
      - vermittlung
      - vze
      - fhxb-bildarchiv
      - fhxb-sammlungen
    password: '2/octHEm/g5H'

    # Natalie Bayer
  - name : n.bayer
    groups:
      - administration
      - altlasten
      - archiv
      - ausstellungen
      - buero
      - forschung
      - gedenken-im-stadtraum
      - intern
      - leitung
      - museum-organisation
      - presse-orga-oeffentlichkeit
      - projekte
      - publikationen
      - stolpersteine
      - team
      - technik
      - veranstaltungen
      - vermietung
      - vermittlung
      - vze
      - fhxb-bildarchiv
      - fhxb-sammlungen
    password: 'AI/.44Jt6rhY'

    # Natalie Maier
  - name : n.maier
    groups:
      - administration
      - altlasten
      - archiv
      - ausstellungen
      - buero
      - forschung
      - gedenken-im-stadtraum
      - intern
      - leitung
      - museum-organisation
      - presse-orga-oeffentlichkeit
      - projekte
      - publikationen
      - stolpersteine
      - team
      - technik
      - veranstaltungen
      - vermittlung
      - vermietung
      - vze
      - fhxb-bildarchiv
      - fhxb-sammlungen
    password: 'kI25L.pfQI/q'

    # Norbert Schropp
  - name : n.schropp
    groups:
      - archiv
      - ausstellungen
      - publikationen
      - team
      - fhxb-bildarchiv
      - fhxb-sammlungen
      - veranstaltungen
    password: 'rK/puJ2.7sb4'

    # Praktikum 01
  - name : p.raktikum01
    groups:
      - ausstellungen
      - buero
      - presse-orga-oeffentlichkeit
      - team
      - veranstaltungen
      - vermietung
    password: '2IN.R5HIq-ig'

    # Praktikum 02
  - name : p.raktikum02
    groups:
      - ausstellungen
      - buero
      - presse-orga-oeffentlichkeit
      - team
      - veranstaltungen
      - vermietung
    password: 'NnRYo5-d6i/n'

    # Volo 01
  - name : v.olo01
    groups:
      - archiv
      - ausstellungen
      - buero
      - forschung
      - gedenken-im-stadtraum
      - museum-organisation
      - presse-orga-oeffentlichkeit
      - projekte
      - publikationen
      - stolpersteine
      - team
      - technik
      - veranstaltungen
      - vermietung
      - vermittlung
    password: 'A/pY4-9VvUdo'

    # Volo 02
  - name : v.olo02
    groups:
      - archiv
      - ausstellungen
      - buero
      - forschung
      - gedenken-im-stadtraum
      - museum-organisation
      - presse-orga-oeffentlichkeit
      - projekte
      - publikationen
      - stolpersteine
      - team
      - technik
      - veranstaltungen
      - vermietung
      - vermittlung
      - vze
    password: 'sp29q-Yn-6PY'

    # Volo 03
  - name : v.olo03
    groups:
      - archiv
      - ausstellungen
      - buero
      - forschung
      - gedenken-im-stadtraum
      - museum-organisation
      - presse-orga-oeffentlichkeit
      - projekte
      - publikationen
      - stolpersteine
      - team
      - technik
      - veranstaltungen
      - vermietung
      - vermittlung
      - vze
      - fhxb-bildarchiv
      - fhxb-sammlungen
    password: 'n7I.fSsR-9vv'

base_home: /home

samba_homes_virusfilter: true

# remove_samba_users:
#   - name: name1
#   - name: name2
#
#remove_samba_users: []
remove_samba_users:
  - name: evren

samba_shares:

  - name: Administration
    comment: Administration auf Fileserver
    path: /data/samba/FHXB-Server/Administration
    group_valid_users: administration
    group_write_list: administration
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_virusfilter: true
    vfs_object_recycle: true

  - name: Altlasten
    comment: Altlasten auf Fileserver
    path: /data/samba/FHXB-Server/Altlasten
    group_valid_users: altlasten
    group_write_list: altlasten
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_virusfilter: true
    vfs_object_recycle: true

  - name: Archiv
    comment: Archiv auf Fileserver
    path: /data/samba/FHXB-Server/Archiv
    group_valid_users: archiv
    group_write_list: archiv
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: Ausstellungen
    comment: Ausstellungen auf Fileserver
    path: /data/samba/FHXB-Server/Ausstellungen
    group_valid_users: ausstellungen
    group_write_list: ausstellungen
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: Buero
    comment: Buero auf Fileserver
    path: /data/samba/FHXB-Server/Buero
    group_valid_users: buero
    group_write_list: buero
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: Forschung
    comment: Forschung auf Fileserver
    path: /data/samba/FHXB-Server/Forschung
    group_valid_users: forschung
    group_write_list: forschung
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: Gedenken-im-Stadtraum
    comment: Gedenken-im-Stadtraum auf Fileserver
    path: /data/samba/FHXB-Server/Gedenken-im-Stadtraum
    group_valid_users: gedenken-im-stadtraum
    group_write_list: gedenken-im-stadtraum
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: Intern
    comment: Intern auf Fileserver
    path: /data/samba/FHXB-Server/Intern
    group_valid_users: intern
    group_write_list: intern
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: Leitung
    comment: Leitung auf Fileserver
    path: /data/samba/FHXB-Server/Leitung
    group_valid_users: leitung
    group_write_list: leitung
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: Museum-Organisation
    comment: Museum-Organisation auf Fileserver
    path: /data/samba/FHXB-Server/Museum-Organisation
    group_valid_users: museum-organisation
    group_write_list: museum-organisation
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: Presse-Orga-Oeffentlichkeit
    comment: Presse-Orga-Oeffentlichkeit auf Fileserver
    path: /data/samba/FHXB-Server/Presse-Orga-Oeffentlichkeit
    group_valid_users: presse-orga-oeffentlichkeit
    group_write_list: presse-orga-oeffentlichkeit
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: Projekte
    comment: Projekte auf Fileserver
    path: /data/samba/FHXB-Server/Projekte
    group_valid_users: projekte
    group_write_list: projekte
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: Publikationen
    comment: Publikationen auf Fileserver
    path: /data/samba/FHXB-Server/Publikationen
    group_valid_users: publikationen
    group_write_list: publikationen
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: Stolpersteine
    comment: Stolpersteine auf Fileserver
    path: /data/samba/FHXB-Server/Stolpersteine
    group_valid_users: stolpersteine
    group_write_list: stolpersteine
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: Team
    comment: Team auf Fileserver
    path: /data/samba/FHXB-Server/Team
    group_valid_users: team
    group_write_list: team
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: Technik
    comment: Technik auf Fileserver
    path: /data/samba/FHXB-Server/Technik
    group_valid_users: technik
    group_write_list: technik
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: VZE
    comment: VZE auf Fileserver
    path: /data/samba/FHXB-Server/VZE
    group_valid_users: vze
    group_write_list: vze
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: Veranstaltungen
    comment: Veranstaltungen auf Fileserver
    path: /data/samba/FHXB-Server/Veranstaltungen
    group_valid_users: veranstaltungen
    group_write_list: veranstaltungen
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: Vermietung
    comment: Vermietung auf Fileserver
    path: /data/samba/FHXB-Server/Vermietung
    group_valid_users: vermietung
    group_write_list: vermietung
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: Vermittlung
    comment: Vermittlung auf Fileserver
    path: /data/samba/FHXB-Server/Vermittlung
    group_valid_users: vermittlung
    group_write_list: vermittlung
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: FHXB-Bildarchiv
    comment: Bildarchiv auf Fileserver
    path: /data/samba/FHXB-Bildarchiv/Bildarchiv
    group_valid_users: fhxb-bildarchiv
    group_write_list: fhxb-bildarchiv
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'

  - name: FHXB-Sammlungen
    comment: FHXB-Sammlungen auf Fileserver
    path: /data/samba/Darchim2/FHXB-Sammlungen
    group_valid_users: fhxb-sammlungen
    group_write_list: fhxb-sammlungen
    file_create_mask: !!str 660
    dir_create_mask: !!str 2770
    vfs_object_virusfilter: true
    vfs_object_recycle: true
    recycle_path: '@Recycle'



# ==============================


# ---
# vars used by scripts/reset_root_passwd.yml
# ---

root_user:
  name: root
  password: $6$J1ssJfdshf/$mknQEPDcW4HN5.wFfawbamamywI7F7fhdZmaR1abNrc4DA7DNRx766lz3ygf9YV3gcmRq3QhJ3fBVlkwGMCvq.
